#pragma once
#include <Text.h>

#include "Recipie.h"

class RecipieList
    : public virtual Framework::ReferenceCounter
{
private:
    Framework::RCArray<Recipie> recipies;
    Framework::Text name;

public:
    RecipieList(const char* name);
    void addRecipie(Recipie* recipie);
    Recipie* zFirstRecipie(CraftingStorage* zStorage);
    const Framework::Text& getName() const;
    void findRecipies(ItemType *zTargetType, Framework::RCArray<Recipie>& recipies);
};